Subject: End of file during parsing only for byte compiled files

From: Johan Andersson <[email-masked]>
Date: Fri, 30 Aug 2013 10:13:40 +0200

Hi,

I just released a new version of Ecukes (https://github.com/rejeep/ecukes.el).
Everything works fine locally, but not when I install via package.el. Then
I get this error:

End of file during parsing:
/path/to/project/.cask/24.3.1/elpa/ecukes-20130830.16/ecukes-core.elc

And if I remove that .elc file, it complains on the next file and so on. If
I remove all .elc files it works fine.

So something with the byte compilation does not work, but if I byte compile
all files locally it works just fine.

Any ideas?